#define gitver .git9477364

Name:           kvazaar
Version:        0.7.1
Release:        1%{?gitver}%{?dist}
Summary:        An open-source HEVC encoder

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

Group:          System Environment/Libraries
License:        LGPLv2.1
URL:            http://ultravideo.cs.tut.fi/
Source0:        https://github.com/ultravideo/%{name}/archive/v%{version}.tar.gz
# git clone https://github.com/ultravideo/kvazaar.git
# cd kvazaar ; git log -1 --pretty=format:".git%h" ; cd ..
# tar acvf kvazaar-%{version}%{?gitver}.tar.xz kvazaar --exclude=.git
#Source0:        %{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  yasm nasm

%description
Kvazaar is not yet finished and does not implement all the features of HEVC. Compression performance will increase as we add more coding tools.

%package        -n lib%{name}-devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}, pkgconfig
Obsoletes:      %{name}-devel

%description    -n lib%{name}-devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        -n lib%{name}-static
Summary:        Static development files for %{name}
Group:          Development/Libraries
Obsoletes:      %{name}-static

%description    -n lib%{name}-static
The %{name}-devel package contains static libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
sed -i 's,-m644 $(LIB),-m755 $(LIB),g' src/Makefile

%build
make %{?_smp_mflags} -C src

%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=%{_prefix} LIBDIR=%{_libdir} DESTDIR=$RPM_BUILD_ROOT -C src
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%{__rm} -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/doc

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root, 0755)
%doc CREDITS README.md doc/syntax_elements.txt
%{!?_licensedir:%global license %%doc}
%license COPYING
%{_bindir}/%{name}
%{_libdir}/lib%{name}.so.*

%files -n lib%{name}-devel
%defattr(-, root, root, 0755)
%{_libdir}/lib%{name}.so
%{_includedir}/*.h
%{_libdir}/pkgconfig/*.pc

%files -n lib%{name}-static
%{_libdir}/libkvazaar.a

%changelog
* Tue Oct 27 2015 momo-i <webmaster@momo-i.org> - 0.7.1-1
- Update to 0.7.1

* Thu Sep 10 2015 momo-i <webmaster@momo-i.org> - 0.5.0-3.gitb75bd12
- rename package

* Thu Sep 10 2015 momo-i <webmaster@momo-i.org> - 0.5.0.gitb75bd12
- Initial rpm release.
